/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_CORE_H
#define OCARINA_CORE_CORE_H
#include <core/queue.h>


struct core_init_data {
	struct queue_ops *playlist_ops;
	struct audio_ops *audio_ops;
#ifdef CONFIG_TESTING
	bool              idle_async;
#endif /* CONFIG_TESTING */
};


/* Called to initialize all core Ocarina components. */
void core_init(int *, char ***, struct core_init_data *);

/* Called to deinitialize all core Ocarina componentns. */
void core_deinit();

#endif /* OCARINA_CORE_CORE_H */
